use 5.006;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    'NAME'		=> 'Ham::RViesti::Client',
    'VERSION_FROM'	=> 'Client.pm', # finds $VERSION
    'PREREQ_PM'		=> {
        'Test::More' => '0.1',
	'JSON' => '2.00',
	'LWP' => '5.8',
	'Digest::HMAC_SHA1' => '1.0',
    },
    'EXE_FILES'		=> [ 'tools/rviesti' ],
    ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
      (
       ABSTRACT_FROM   => 'Client.pm', # retrieve abstract from module
       AUTHOR          => 'Heikki Hannikainen <hessu@hes.iki.fi>',
       LICENSE        => 'perl',
      ) : ()
    ),
);
